### Function

# GLib strv_equal

since: 2.60

#### Declaration

    gboolean
    g_strv_equal (
      const gchar* const* strv1,
      const gchar* const* strv2
    )

#### Description

Checks if two arrays of strings contain exactly the same elements in exactly the same order.

Elements are compared using `g_str_equal()`. To match independently of order, sort the arrays first (using `g_qsort_with_data()` or similar).

Elements are compared using `g_str_equal()`. To match independently of order, sort the arrays first (using `g_qsort_with_data()` or similar).

Two empty arrays are considered equal. Neither `strv1` nor `strv2` may be `NULL`.

Available since: 2.60

#### Parameters

`strv1`

  Type: An array of `gchar*`

  An array of strings to compare to `strv2`

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`strv2`

  Type: An array of `gchar*`

  An array of strings to compare to `strv1`

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

True if `strv1` and `strv2` are equal.